Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XFcLinkedListBidirectionalIterator< T > Class Template Reference

Linked list bidirectional iterator template. More...

Inheritance diagram for XFcLinkedListBidirectionalIterator< T >:

[legend]
Collaboration diagram for XFcLinkedListBidirectionalIterator< T >:

[legend]
List of all members.

## Public Member Functions
XFcLinkedListBidirectionalIterator< T > & | operator++ ()
| Advances to the next node, pre-operation.
XFcLinkedListBidirectionalIterator< T > | operator++ (int)
| Advances to the next node, post-operation.
XFcLinkedListBidirectionalIterator< T > & | operator-- ()
| Backs up to the previous node, pre-operation.
XFcLinkedListBidirectionalIterator< T > | operator-- (int)
| Backs up to the previous node, post-operation.
| XFcLinkedListBidirectionalIterator ()
| Creates an empty iterator.
| XFcLinkedListBidirectionalIterator (XFcLinkedListNode< T > *aNode)
| Creates an iterator pointing to a node.

## Detailed Description

### template<class T>
class XFcLinkedListBidirectionalIterator< T >

Linked list bidirectional iterator template.

## Constructor & Destructor Documentation

template<class T>
XFcLinkedListBidirectionalIterator< T >::XFcLinkedListBidirectionalIterator | ( |  | ) |

| Creates an empty iterator.

template<class T>
XFcLinkedListBidirectionalIterator< T >::XFcLinkedListBidirectionalIterator | ( | XFcLinkedListNode< T > * | aNode | ) |

| Creates an iterator pointing to a node.

## Member Function Documentation

template<class T>
XFcLinkedListBidirectionalIterator< T > XFcLinkedListBidirectionalIterator< T >::operator++ | ( | int |  | ) |

| Advances to the next node, post-operation. Returns: next node.

template<class T>
XFcLinkedListBidirectionalIterator< T > & XFcLinkedListBidirectionalIterator< T >::operator++ | ( |  | ) |

| Advances to the next node, pre-operation. Returns: reference to next node.

template<class T>
XFcLinkedListBidirectionalIterator< T > XFcLinkedListBidirectionalIterator< T >::operator-- | ( | int |  | ) |

| Backs up to the previous node, post-operation. Returns: previous node.

template<class T>
XFcLinkedListBidirectionalIterator< T > & XFcLinkedListBidirectionalIterator< T >::operator-- | ( |  | ) |

| Backs up to the previous node, pre-operation. Returns: reference to previous node.

|  | X-Forge Documentation Confidential Copyright © 2002-2003 Fathammer |  | Documentation generated with doxygen by Dimitri van Heesch